CS = kernel.c debug.c interface.c

OS = $(CS:.c=.o)
CC = $(GCC) -Wall -O2 $(SIMOPT)

twolibs: $(KERNELLIB) $(INTERFACELIB)

$(KERNELLIB): kernel.o debug.o
	$(AR) ru $(KERNELLIB) kernel.o debug.o

$(INTERFACELIB): interface.o
	$(AR) ru $(INTERFACELIB) interface.o

$(OS): %.o : %.c
	$(CC) $(ALGEVALONLY_SWITCH) -c $< -o $@

clean:
	rm -rf *.o $(KERNELLIB) $(INTERFACELIB)

dep:
	$(CC) -MM $(CS) > .depend

ifeq (.depend, $(wildcard .depend))
include .depend
endif
