CS = memsim.c

CC = $(GCC) -O2 -I$(INCLUDEDIR) $(SIMOPT)

OS = $(CS:.c=.o)

$(SIMLIB): $(OS)
	$(AR) ru $(SIMLIB) $(OS)

$(OS): %.o : %.c
	$(CC) -c $< -o $@

dep:
	$(CC) -MM $(CS) > .depend

ifeq (.depend, $(wildcard .depend))
include .depend
endif

clean:
	rm -rf $(OS) $(SIMLIB)
	