class Dra_Line_State {
  public:
    enum State { UNMOD_SHD, UNMOD_EXC, MOD_SHD, MOD_EXC } state;
    Dra_Line_State()            { state = UNMOD_SHD; }
    bool  isvalid()             { return 1; }
    State get()                 { return state; }
    void  set(State new_state)  { state = new_state; }
    char  symbol() {
        switch (state) {
            case UNMOD_SHD: return 's';     // Unmodified, Shared
            case UNMOD_EXC: return 'e';     // Unmodifed, Exclusive
            case MOD_SHD  : return 'S';     // Modified, Shared
            case MOD_EXC  : return 'E';     // Modified, Exclusive
            }
        }
    };
