# here is the list of C modules that implement ABSTRACT sync primitives
CS = sync.c

# the rest is the same for all other sync implementations
OS = $(CS:.c=.o)
CC = $(GCC) -I$(INCLUDEDIR) -Wall -O2

$(SYNCLIB): $(OS)
	$(AR) ru $(SYNCLIB) $(OS)

$(OS): %.o : %.c
	$(CC) -c $< -o $@			

clean:
	rm -rf *.o $(SYNCLIB) 

dep:
	$(CC) -MM $(CS) > .depend

ifeq (.depend, $(wildcard .depend))
include .depend
endif
