/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Module: printf.c
 * Author: Davor Magdic, magdic00390d@buef31.etf.bg.ac.yu
 *
 * sprintf() replacement.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#include <stdarg.h>
#include <stdio.h>
#include "sys_stdlib.h"

/*
 *  +------------------------------------------------------------------+
 *  |                             SPRINTF                              |
 *  +------------------------------------------------------------------+
 */ 

int sys_sprintf( char *str, const char *format, ...) {
    char temp[1000];    /* C programmer's dissease. Hope it suffices. :-) */
    int retval; register int i=0;
    va_list ap;
    va_start(ap, format);
    retval = vsprintf(temp, format, ap);
    while((str[i] = temp[i])) ++i;
    return retval;
    }
    
