CS = string.c scanf.c printf.c atoi.c

SS	= $(CS:.c=.s)
SSS	= $(CS:.c=.$(AUGLEVEL).S)
OS	= $(CS:.c=.$(AUGLEVEL).o)

CC = $(GCC) -I$(INCLUDEDIR) -Wall -O2

$(SYS_STDLIB): $(OS)
	$(AR) ru $(SYS_STDLIB) $(OS)

$(OS): %.$(AUGLEVEL).o : %.$(AUGLEVEL).S
	$(AS) $< -o $@

$(SSS): %.$(AUGLEVEL).S : %.s
	$(AUG) $< $@
	
$(SS): %.s : %.c
	$(CC) $(APPCC) -S $< -o $@

clean:
	rm -rf *.[Sos] $(SYS_STDLIB)

dep:
	$(CC) -MM $(CS) > .depend

ifeq (.depend, $(wildcard .depend))
include .depend
endif
