CS	= memsim.cc topology.cc io_buf.cc  mesi_cache.cc

#DEBUG	= -g
CC		= $(GCPP) -I$(INCLUDEDIR) $(DEBUG) -Wall -O2	\
		  -DSNOOP_TYPE=snoop_type_$(SIM) $(SIMOPT)

OS		= $(CS:.cc=.o)

$(SIMLIB): $(OS)
	$(AR) ru $(SIMLIB) $(OS)

$(OS): %.o : %.cc
	$(CC) -c $< -o $@

clean:
	rm -f $(OS) $(SIMLIB) $(TARGET)

dep:
	$(CC) -MM $(CS) > .depend_$(SIM)

ifeq (.depend_$(SIM), $(wildcard .depend_$(SIM)))
include .depend_$(SIM)
endif

